Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 744124 - app-arch/brotli-1.0.9-r1 : * ERROR: app-arch/brotli-1.0.9-r1::gentoo failed:
Summary: app-arch/brotli-1.0.9-r1 : * ERROR: app-arch/brotli-1.0.9-r1::gentoo failed:
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Craig Andrews
URL: https://github.com/google/brotli/issu...
Whiteboard:
Keywords:
: 746932 (view as bug list)
Depends on:
Blocks: CVE-2020-8927
  Show dependency tree
 
Reported: 2020-09-22 16:08 UTC by Toralf Förster
Modified: 2021-05-06 04:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.05 KB, text/plain)
2020-09-22 16:08 UTC, Toralf Förster
Details
app-arch:brotli-1.0.9-r1:20200921-230837.log (app-arch:brotli-1.0.9-r1:20200921-230837.log,79.84 KB, text/plain)
2020-09-22 16:08 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,14.64 KB, text/plain)
2020-09-22 16:08 UTC, Toralf Förster
Details
environment (environment,167.91 KB, text/plain)
2020-09-22 16:08 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.16 KB, application/x-bzip)
2020-09-22 16:08 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,10.95 KB, application/x-bzip)
2020-09-22 16:08 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-09-22 16:08:37 UTC
 * python3_7: running distutils-r1_run_phase get_expected_distutils_use_setuptools
/var/tmp/portage/app-arch/brotli-1.0.9-r1/temp/environment: line 1819: cd: /var/tmp/portage/app-arch/brotli-1.0.9-r1/work/brotli-1.0.9-python3_7: No such file or directory
 * ERROR: app-arch/brotli-1.0.9-r1::gentoo failed:
 *   (no error message)
 * 
 * Call stack:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-abi32+64-20200921-131913

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.2.0 *
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python2.7 (fallback)
Available Rust versions:
  (none found)

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Mon Sep 21 04:35:44 PM UTC 2020

emerge -qpvO app-arch/brotli
[ebuild  N    ] app-arch/brotli-1.0.9-r1  USE="-python -test" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python3_7 -python3_6 -python3_8 -python3_9"
Comment 1 Toralf Förster gentoo-dev 2020-09-22 16:08:39 UTC
Created attachment 661912 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-09-22 16:08:41 UTC
Created attachment 661915 [details]
app-arch:brotli-1.0.9-r1:20200921-230837.log
Comment 3 Toralf Förster gentoo-dev 2020-09-22 16:08:42 UTC
Created attachment 661918 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-09-22 16:08:44 UTC
Created attachment 661921 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-09-22 16:08:45 UTC
Created attachment 661924 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-09-22 16:08:47 UTC
Created attachment 661927 [details]
logs.tbz2
Comment 7 Craig Andrews gentoo-dev 2020-10-18 02:18:26 UTC
*** Bug 746932 has been marked as a duplicate of this bug. ***
Comment 8 Craig Andrews gentoo-dev 2020-10-18 02:19:08 UTC
Reported upstream at https://github.com/google/brotli/issues/850
Comment 9 Larry the Git Cow gentoo-dev 2020-10-19 14:37:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8a2ef24f8f9507b397e54e6357927f29cc25186

commit d8a2ef24f8f9507b397e54e6357927f29cc25186
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2020-10-19 14:36:11 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2020-10-19 14:37:04 +0000

    app-arch/brotli: restrict tests for 1.0.9-r1
    
    See: https://github.com/google/brotli/issues/850
    Closes: https://bugs.gentoo.org/744124
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 app-arch/brotli/brotli-1.0.9-r1.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 10 Markus 2021-05-06 04:20:13 UTC
Is it possible that exactly this issue reappeared in r3?

>>> Preparing source in /var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9 ...
 * Will copy sources from /var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9_build
 * python3_8: copying to /var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9_build-python3_8
cp: cannot stat '/var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9_build': No such file or directory
 * ERROR: app-arch/brotli-1.0.9-r3::gentoo failed (prepare phase):
Comment 11 Sam James archtester gentoo-dev Security 2021-05-06 04:24:08 UTC
(In reply to Markus from comment #10)
> Is it possible that exactly this issue reappeared in r3?
> 
> >>> Preparing source in /var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9 ...
>  * Will copy sources from
> /var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9_build
>  * python3_8: copying to
> /var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9_build-python3_8
> cp: cannot stat
> '/var/tmp/portage/app-arch/brotli-1.0.9-r3/work/brotli-1.0.9_build': No such
> file or directory
>  * ERROR: app-arch/brotli-1.0.9-r3::gentoo failed (prepare phase):

I’d file a new bug with the full build.log and emerge —-info to ensure this isn’t missed.